/*
 * SFSneutral.h
 *
 *  Created on: 22 oct. 2012
 *      Author: abernard
 */

#ifndef SFSNEUTRAL_H_
#define SFSNEUTRAL_H_

// PopPhyl Project Developments
#include "SFS.h"

namespace ppc {

	class SFSneutral: public ppc::SFS {

		protected:
			double _total_number_of_synonymous_SNP;
			double _average_allele_frequency_S;
			double _piS;
			double _thetaS;
			double _tajimasD_S;

		public:
			// Constructor and destructor
			SFSneutral(unsigned int maxVectorSize, unsigned int sampleSize, std::vector< std::vector<double> >& neutralMatrix, bool requireFolding);
			SFSneutral(unsigned int maxVectorSize, unsigned int sampleSize, std::vector<double>& neutralHypergeometricDraw);

			// Destructor
			virtual ~SFSneutral();

			// Computing methods
			void determine_all_attributes();
			void determine_total_number_of_synonymous_SNP();
			void determine_average_allele_frequency_S();
			void determine_piS();
			void determine_thetaS();
			void determine_tajimasD_S();

			// Accessors
			double get_total_number_of_synonymous_SNP();
			double get_average_allele_frequency_S();
			double get_piS();
			double get_thetaS();
			double get_tajimasD_S();
	};

} //end of namespace PopPhyl Commons (ppc)

#endif /* SFSNEUTRAL_H_ */
