/*
 * SFSneutralGC.cpp
 *
 *  Created on: 22 oct. 2012
 *      Author: abernard
 */

#include "SFSneutralGC.h"

using namespace std;
using namespace ppc;

/*-------------------------------*/
/*          Constructor          */
/*-------------------------------*/

SFSneutralGC::SFSneutralGC(unsigned int maxVectorSize, unsigned int sampleSize, std::vector< std::vector<double> >& neutralGCMatrix):
		SFS(maxVectorSize, sampleSize, neutralGCMatrix, false), _GC_min(0.), _GC_maj(0.), _GC_equal(0.) {
	// Nothing to do here: the parent class constructor and the initialization list do all the work
}

/******************************************************************************/

SFSneutralGC::SFSneutralGC(unsigned int maxVectorSize, unsigned int sampleSize, std::vector<double>& neutralGCHypergeometricDraw):
		SFS(maxVectorSize, sampleSize, neutralGCHypergeometricDraw), _GC_min(0.), _GC_maj(0.), _GC_equal(0.) {
	// Nothing to do here: the parent class constructor and the initialization list do all the work
}


/*--------------------------------*/
/*           Destructor           */
/*--------------------------------*/

SFSneutralGC::~SFSneutralGC() {
	// TODO Auto-generated destructor stub
}


/*--------------------------------*/
/*            Accessor            */
/*--------------------------------*/

// GET
double SFSneutralGC::get_GC_min() { return _GC_min; }
double SFSneutralGC::get_GC_maj() { return _GC_maj; }
double SFSneutralGC::get_GC_equal() { return _GC_equal; }


/*------------------------------------*/
/*           Public methods           */
/*------------------------------------*/

/*       Computing methods       */

void SFSneutralGC::collect_GC_stats() {

	for (unsigned int k = 1; k < _sample_size; k++) {
		if (k < _sample_size / 2) {
			_GC_min += _Hypergeometric_draw[k];
		} else if (k > _sample_size / 2) {
			_GC_maj += _Hypergeometric_draw[k];
		} else if (_sample_size%2 != 0 && k == _sample_size / 2) {
			_GC_min += _Hypergeometric_draw[k];
		} else {
			_GC_equal += _Hypergeometric_draw[k];
		}
	}
}
