/*
 * SFSneutralGC.h
 *
 *  Created on: 22 oct. 2012
 *      Author: abernard
 */

#ifndef SFSNEUTRALGC_H_
#define SFSNEUTRALGC_H_

// PopPhyl Project Developments
#include "SFS.h"

namespace ppc {

	class SFSneutralGC: public ppc::SFS {

		protected:
			double _GC_min;
			double _GC_maj;
			double _GC_equal;

		public:
			// Constructor
			SFSneutralGC(unsigned int maxVectorSize, unsigned int sampleSize, std::vector< std::vector<double> >& neutralGCMatrix);
			SFSneutralGC(unsigned int maxVectorSize, unsigned int sampleSize, std::vector<double>& neutralGCHypergeometricDraw);

			// Destructor
			virtual ~SFSneutralGC();

			// Computing methods
			void collect_GC_stats();

			// Accessors
			double get_GC_min();
			double get_GC_maj();
			double get_GC_equal();
	};

} //end of namespace PopPhyl Commons (ppc)

#endif /* SFSNEUTRALGC_H_ */
