/*
 * SFSselected.h
 *
 *  Created on: 22 oct. 2012
 *      Author: abernard
 */

#ifndef SFSSELECTED_H_
#define SFSSELECTED_H_

// PopPhyl Project Developments
#include "SFS.h"

namespace ppc {

	class SFSselected: public ppc::SFS {

		protected:
			double _total_number_of_non_synonymous_SNP;
			double _average_allele_frequency_N;
			double _piN;
			double _thetaN;
			double _tajimasD_N;

		public:
			// Constructor
			SFSselected(unsigned int maxVectorSize, unsigned int sampleSize, std::vector< std::vector<double> >& selectedMatrix, bool requireFolding);
			SFSselected(unsigned int maxVectorSize, unsigned int sampleSize, std::vector<double>& selectedHypergeometricDraw);

			// Destructor
			virtual ~SFSselected();

			// Computing methods
			void determine_all_attributes();
			void determine_total_number_of_non_synonymous_SNP();
			void determine_average_allele_frequency_N();
			void determine_piN();
			void determine_thetaN();
			void determine_tajimasD_N();

			// Accessors
			double get_total_number_of_non_synonymous_SNP();
			double get_average_allele_frequency_N();
			double get_piN();
			double get_thetaN();
			double get_tajimasD_N();
	};

} //end of namespace PopPhyl Commons (ppc)

#endif /* SFSSELECTED_H_ */
