/*
 * AlignmentFileManagement.h
 *
 *  Created on: 19 oct. 2012
 *      Author: abernard
 */

#ifndef ALIGNMENTFILEMANAGEMENT_H_
#define ALIGNMENTFILEMANAGEMENT_H_

// Basic C++ classes
#include <string>
#include <vector>

// Bio++ classes
#include <Bpp/PopGen/PolymorphismSequenceContainer.h>
#include <Bpp/Seq/Alphabet/StandardCodonAlphabet.h>

namespace ppc {

	class AlignmentFileManagement {
		public:
			// Destructor
			virtual ~AlignmentFileManagement();

			// Static methods
			static std::vector<bpp::PolymorphismSequenceContainer*> readAlignmentFile (std::string seq_file_name, bool removeFrameshift, const bpp::NucleicAlphabet* nucleoAlphabet454,
					const bpp::StandardCodonAlphabet* codonAlphabet, bool debugMode);

			static std::vector<bpp::PolymorphismSequenceContainer*> cleanMultiContainer (std::vector<bpp::PolymorphismSequenceContainer*> const & brutMultiContainer,
					const bpp::StandardCodonAlphabet* codonAlphabet, std::string ingroupSpeciesName, unsigned int minNumberOfCodon, unsigned int stopToleranceZone,
					bool allowInternalStop, unsigned int minGapNSite, double maxGapNSeq, bool debugMode, std::string outgroupSpeciesName = "none");

			static unsigned int getMaxNumberOfFocalIndividual (std::vector<bpp::PolymorphismSequenceContainer*> const & allData, std::string ingroupSpeciesName);

		protected:
			// Static methods
			static std::string _extractContigNameFromSequenceName (std::string full_sequence_name);
	};

} //end of namespace PopPhyl Commons (ppc).

#endif /* ALIGNMENTFILEMANAGEMENT_H_ */
