#include "Qual.h"

using namespace ppc;
using namespace bpp;
using namespace std;


void Qual::nextSequence(std::istream& input, std::vector<int> & qualities, std::string & name) const throw (Exception)
{  
          
  if (!input)
     throw IOException ("ReadQualityScoreFile::read: fail to open file");

  qualities.clear();
  std::string temp;
  char c;

  // Main loop
  while(1)
  {

    c = input.peek();
    
    // Stop if find a new sequence
    if ((c == '>' || c==-1) && name !="" && !(qualities.empty()))
    {
        return;
    }

    // read new line
    getline(input, temp, '\n');
    temp = TextTools::removeLastWhiteSpaces(temp);
    
    if (temp[0] == '>')
    {
      // Sequence name isolation
      name = temp;
      name.erase(name.begin());  // Character > deletion
    }
    else
    {
      // quality score initialisation
      StringTokenizer st(temp, " ", true, false);
      while(st.hasMoreToken())
      {
        int q = TextTools::toInt(st.nextToken());
        qualities.push_back(q);
      }
    }
  }
}

/******************************************************************************/

void Qual::writeSequence(std::ostream& output, std::vector<int> qualities, std::string name) const throw (Exception)
{
  if (!output)
    throw IOException("Qual::writeSequence: can't write to ostream output");
  // Sequence name
  output << ">" << name << endl;

  // Sequence content
  for (unsigned int i = 0 ; i < qualities.size() ; i++)
  {
    output << qualities[i];
    if ((i%charsByLine_ == 0 and i > (charsByLine_-1)) or i==(qualities.size()-1))
    {
        output << endl;
    }
    else
    {
        output << " ";
    }
  }
}

