/*
 * Sam.h
 *
 *  Created on: 17 oct. 2011
 *      Author: cahais
 */

#ifndef SAM_H_
#define SAM_H_

#include <iostream>
#include <map>
#include <vector>
#include <Bpp/Seq/Io/Fasta.h>
#include <Bpp/Seq/Alphabet/Alphabet.h>
#include "../Alphabet/CustomNucleicAlphabet.h"

using namespace std;
using namespace bpp;

namespace ppc
{

class Sam
{

public:

	class Samline
		{
		  public:
			Samline(){}
			virtual ~Samline(){}

			std::string qname;      //Query (pair) NAME
			int flag;          		//bitwise FLAG
			std::string rname;      //Reference sequence NAME
			size_t pos;           	//1-based leftmost POSition/coordinate of clipped sequence
			int mapq;          		//MAPping Quality (Phred-scaled)
			std::string cigar;      //extended CIGAR string
			std::string mrnm;       //Mate Reference sequence NaMe (‘=’ if same as RNAME)
			int mpos;          		//1-based Mate POSistion
			int isize;         		//Inferred insert SIZE
			std::string seq;    	//query SEQuence on the same strand as the reference
			std::string qual;       //query QUALity (ASCII-33 gives the Phred base quality)
			std::string opt;        //variable OPTional fields in the format TAG:VTYPE:VALUE
		};


private:
	Alphabet * alpha;
	map<string, vector<ios::pos_type> > index_;

public:

	Sam();
	virtual ~Sam();

	//indexer
	void build(std::ifstream & input) throw (Exception);
	vector<ios::pos_type> getPositions(string name)
	{
		return index_[name];
	}

	//reader
	int readSamLine(ifstream & input, Sam::Samline & samline);

	//converter
	std::string samline2StringSequence(Sam::Samline & saml);
	BasicSequence* samline2sequence(Sam::Samline & saml);

};

}
#endif /* SAM_H_ */
