/*
 * SpeciesDataWarehouse.h
 *
 *  Created on: 31 oct. 2012
 *      Author: abernard
 */

#ifndef SPECIESDATAWAREHOUSE_H_
#define SPECIESDATAWAREHOUSE_H_

#include <string>

class SpeciesDataWarehouse {

	protected:
		std::string _species_name;

		unsigned int _number_of_sequences;
		unsigned int _number_of_sites;
		unsigned int _number_of_complete_sites;

		double _GC3;
		double _piN;
		double _piS;
		double _Fit;

		double _WC84_total_B;
		double _WC84_total_C;
		double _WC84_Fit;

	public:
		// Constructor
		SpeciesDataWarehouse();

		// Destructor
		virtual ~SpeciesDataWarehouse();

		// Accessors - Set
		void set_species_name(std::string speciesName);

		void set_number_of_sequences(unsigned int newValue);
		void set_number_of_sites(unsigned int newValue);
		void set_number_of_complete_sites(unsigned int newValue);

		void set_GC3(double newValue);
		void set_piN(double newValue);
		void set_piS(double newValue);
		void set_Fit(double newValue);

		void set_WC84_total_B(double newValue);
		void set_WC84_total_C(double newValue);
		void set_WC84_Fit(double newValue);

		// Accessors - Get
		std::string get_species_name();

		unsigned int get_number_of_sequences();
		unsigned int get_number_of_sites();
		unsigned int get_number_of_complete_sites();

		double get_GC3();
		double get_piN();
		double get_piS();
		double get_Fit();

		double get_WC84_total_B();
		double get_WC84_total_C();
		double get_WC84_Fit();
};

#endif /* SPECIESDATAWAREHOUSE_H_ */
