//============================================================================
// Name        : Contigdata.h
// Author      : Vincent Cahais
// Created on  : 17 septembre 2012
// Copyright   : http://www.cecill.info/licences/Licence_CeCILL-C_V1-fr.html
//============================================================================

#ifndef CONTIGDATA_H_
#define CONTIGDATA_H_

#define MAX_NB_CLASSES 3

#include "Posdata.h"
#include <vector>
#include "Speciesdata.hpp"

namespace bpp
{

class Contigdata
{
public:

	vector<Speciesdata*> species_data;

	struct aeb_data
	{
		double out_av_aeb;
		vector<double>out_prior_aeb_cat;
		double out_contig_posterior_aeb;
		vector<double>out_contig_posterior_aeb_p;
	};

	struct err_data
	{
		double out_av_err;
		double out_tstv;
		vector<double>out_prior_er_cat;
		vector<double>out_pos_posterior_er;
		vector< vector<double> > out_pos_posterior_er_p;
	};

	vector<Posdata*> pos_d;
	double cond_lnL_aeb[];
	double posterior_aeb_p[MAX_NB_CLASSES]; /* posterior proba distribution for aeb at this contig */
	double posterior_aeb; 					/* aeb estimate for this contig */

	vector<aeb_data*> aeb;
	vector<err_data*> err;

	bool in_error;

	Contigdata();
	virtual ~Contigdata();

	void addPos(Posdata * p){pos_d.push_back(p);}
	Posdata* getPos(unsigned int i){return pos_d[i];}
	unsigned int size(){return pos_d.size();}
};

} /* namespace bpp */
#endif /* CONTIGDATA_H_ */
