//============================================================================
// Name        : Speciesdata.hpp
// Author      : Vincent Cahais, Nicolas Galtier
// Created on  : 17 septembre 2012
// Copyright   : http://www.cecill.info/licences/Licence_CeCILL-C_V1-fr.html
//============================================================================

#ifndef SPECIESDATA_H_
#define SPECIESDATA_H_

#define DOUBLE_DEFAULT_VALUE -1.0

#include <iostream>

namespace bpp
{

class Speciesdata
{
public:

	string species_name;

	double allelic_expression_bias;
	double transversion_error_rate;
	double transition_error_rate;
	double tstv_ratio;

	unsigned int paralogy_counter;

	Speciesdata(string name): species_name(name)
	{
	   allelic_expression_bias=DOUBLE_DEFAULT_VALUE;
	   transversion_error_rate=DOUBLE_DEFAULT_VALUE;
	   transition_error_rate=DOUBLE_DEFAULT_VALUE;
	   tstv_ratio=DOUBLE_DEFAULT_VALUE;
	   paralogy_counter=0;
	}

	virtual ~Speciesdata(){};
};

} /* namespace bpp */
#endif /* SPECIESDATA_H_ */
