//============================================================================
// Name        : factorial.cpp
// Author      : Vincent Cahais, Nicolas Galtier
// Created on  : 13 juillet 2012
// Copyright   : http://www.cecill.info/licences/Licence_CeCILL-C_V1-fr.html
//============================================================================

#include "Stat.h"

namespace bpp
{

	void Stat::init_logfact(unsigned int MAX_PRECALCULATED_LOGFACT)
	{
		logfact_.push_back(0);
		for (unsigned int i=1; i <= MAX_PRECALCULATED_LOGFACT; i++)
			logfact_.push_back(logfact_[i-1]+log(i));
	}

	valarray<double> Stat::logfact (valarray<unsigned int > val)
	{
		valarray<double> lnf(val.size());
		for (unsigned int i=0; i<val.size(); i++)
		{
			lnf[i] = logfact(val[i]);
		}
		return lnf;
	}

	double Stat::logfact(unsigned int n) {

		unsigned int MAX_PRECALCULATED_LOGFACT = logfact_.size();
		if (n < MAX_PRECALCULATED_LOGFACT) return logfact_[n];

		for (unsigned int i = MAX_PRECALCULATED_LOGFACT; i <= n; i++)
			logfact_.push_back(logfact_[i-1]+log(i));

		return logfact_[n];
	}

}
