/*
 * Alr.cpp
 *
 *  Created on: 23 avr. 2012
 *      Author: cahais
 */

#include "Alr.h"

using namespace std;
using namespace bpp;

Alr::Alr()
{
	// TODO Auto-generated constructor stub
}

Alr::~Alr()
{
	// TODO Auto-generated destructor stub
}

/*******************************************************************************/
/*toAlr : write trees to alr format*/
/*******************************************************************************/
void Alr::toAlr(OSite * root, string name, map<string, OSite* > & indiv_trees, ostream & out)
{
	cout << name << ": " << indiv_trees.size() << " individus" << endl;

	map<string, OSite* >::iterator ind;
	map<string, OSite* > indiv;

	//WRITE headers
	out << ">" << name << endl;
	out << "maj\tM/P" ;
	for (ind=indiv_trees.begin(); ind != indiv_trees.end(); ind++)
	{
		out << "\t" << ind->first ;
		indiv[ind->first]=ind->second;
	}
	out << endl;

	//parcours des sites
	OSite * curr = root;
	do
	{
		/*get next nodes*/
		curr = curr->getNext();
		for (ind=indiv.begin(); ind != indiv.end(); ind++)
		{
			indiv[ind->first]=ind->second->getNext();
		}

		//!! ALWAYS call getVariability BEFORE getConsensus
		bool variability = (curr->getVariability()==1);
		//if consensus base is '-' dismiss it;
		if (curr->getConsensus() != '-' )
		{
			if (variability)
				writeMonomorph(curr, indiv, out);
			else
				writePolymorph(curr, indiv, out);
		}

	}while(curr->getNext());

}

/*******************************************************************************/
/*writeMonomorph : write monomorph alr line*/
/*******************************************************************************/
void Alr::writeMonomorph(OSite * curr, map<string, OSite* > & indiv, ostream & out)
{
	out << curr->getNucleotide(0) << "\tM";

	//iterateur sur les individus
	map<string, OSite* >::iterator ind;

	//parcours des individus
	for (ind=indiv.begin(); ind != indiv.end(); ind++)
	{
		out << "\t" << ind->second->getNumberOfSequence() ;
	}
	out << endl;

}

/*******************************************************************************/
/*writePolymorph : write polymorph alr line*/
/*******************************************************************************/
void Alr::writePolymorph(OSite * curr, map<string, OSite* > & indiv, ostream & out)
{

	out << curr->getConsensus() << "\tP";

	//iterateur sur les individus
	map<string, OSite* >::iterator ind;

	//parcours des individus
	for (ind=indiv.begin(); ind != indiv.end(); ind++)
	{
		out << "\t" << ind->second->getNumberOf('A') + ind->second->getNumberOf('C') +
			   ind->second->getNumberOf('G') + ind->second->getNumberOf('T') << "[";
		out << ind->second->getNumberOf('A') << "/";
		out << ind->second->getNumberOf('C') << "/";
		out << ind->second->getNumberOf('G') << "/";
		out << ind->second->getNumberOf('T') << "]";

	}
	out << endl;
}


