//============================================================================
// Name        : sam2alr.cpp
// Author      : vincent cahais
// Version     : 2.0
// Copyright   : Your copyright notice
// Description : Hello World in C++, Ansi-style
//============================================================================

#include <iostream>
#include "Sam2alr.h"
//#include <pthread.h>
//#include <thread>

using namespace std;
using namespace bpp;




/*******************************************************************************/
/*usage*/
/*******************************************************************************/
void usage()
{
  cout << endl;
  cout << "sam2alr : version 2.0" << endl;
  cout << endl;
  cout << "usage : sam2alr -s sam -r reference -o output" << endl;
  cout << "-s : sam file" << endl;
  cout << "-r : fasta file containing references" << endl;
  cout << "-o : output file basename" << endl;
  cout << "-c : cover threshold" << endl;
  cout << "-l : size threshold" << endl;
  cout << endl;
  exit(0);
}

/*******************************************************************************/
/*main*/
/*******************************************************************************/
int main(int argc,char **argv)
{
  //arguments
  std::string argument;
  double cover_ = 0;    // cover threshold
  unsigned int size_ = 0;
  string samfile_ = ""; // INPUT: sam file name (sam)
  string reffile_ = ""; // INPUT: refference file name (fasta)
  string output_ = ""; // OUTPUT: alr file name (alr)

  //parse options
  for (int i=1; i<argc ; i++)
  {
    argument = argv[i];
    if (argument=="-s") samfile_ = argv[i+1];
    if (argument=="-r") reffile_ = argv[i+1];
    if (argument=="-o") output_ = argv[i+1];
    if (argument=="-c") cover_   = atof(argv[i+1]);
    if (argument=="-l") size_  = atoi(argv[i+1]);
  }

  if (output_ == "" || reffile_ == "") usage();
  string alrfile_   = output_ + ".alr";
  string fasfile_   = output_ + ".fasta";
  string coverfile_ = output_ + ".cov";

  /*open files*/
  ifstream sam(samfile_.c_str(), ios::in);
  ifstream ref(reffile_.c_str(), ios::in);
  ofstream alr(alrfile_.c_str(), ios::out | ios::trunc);
  ofstream fas(fasfile_.c_str(), ios::out | ios::trunc);
  ofstream cov(coverfile_.c_str(), ios::out | ios::trunc);


  /*run*/
  Sam2alr converter;
  int rt = converter.readNames(sam);
  switch(rt)
  {
	 case 0: converter.error_wrongSamInputFormat(); break;
	 case 1: break;
	 case 2: converter.addSamFile(samfile_); break;
	 default : cerr << "error 1001" << endl; break;
  }
  converter.setCoverThreshold(cover_);
  converter.setSizeThreshold(size_);
  converter.run(ref, alr, fas, cov);

  /*close files*/
  ref.close();
  sam.close();
  alr.close();
  fas.close();



  return 0;
}


